# Request Authorisation

Create a new authorisation on a given Frequent Payment
**Required scope:** <code style="background:#e8f0fe;color:#1a73e8;padding:2px 8px;border-radius:12px;font-size:0.85em">frequent:create</code>

Endpoint: POST /frequent/authorisation/{id}
Version: 2.0
Security: accountId, apiKey

## Path parameters:

  - `id` (string, required)
    Resource Identification

## Request fields (application/json):

  - `mbway_sdk` (object)
    MB WAY SDK configuration for payment processing

  - `mbway_sdk.purchase_token` (string)
    Purchase token for MB WAY SDK

  - `mbway_sdk.initial_timestamp` (string)
    Initial timestamp for the transaction
    Example: 2018-01-01 23:59:59

  - `mbway_sdk.merchant_operation_id` (string)
    unique-concatenation between client identifier and client operation id.
    Example: TESTACCOUNT5436

  - `mbway_sdk.payload` (string)
    JSON payload for MB WAY SDK

  - `transaction_key` (string)
    Your internal key identifying this authorisation.
    Example: transaction_key_123

  - `force_3ds` (boolean)
    Whether or not you want to force the 3DS authentication.

  - `descriptive` (string, required)
    This will appear in the bank statement/MB WAY application.
    Example: Descriptive Example

  - `value` (number, required)
    Value will be rounded to 2 decimals.
    Example: 10.5

## Response 201 fields (application/json):

  - `id` (string)
    Unique identifier for the authorization
    Example: 4c67e74b-a256-4e0a-965d-97bf5d01bd50

  - `status` (string)
    Status of the request
    Example: ok

  - `message` (array)
    Array of status messages

## Response 400 fields (application/json):

  - `status` (string, required)

  - `message` (array, required)
    An array of human-readable messages included in the response. These messages provide detailed information about the success of the operation or explain the reasons for any failure. This field is always present in the response to ensure clarity and transparency regarding the outcome of the API request.

## Response 403 fields (application/json):

  - `status` (string, required)

  - `message` (array, required)
    An array of human-readable messages included in the response. These messages provide detailed information about the success of the operation or explain the reasons for any failure. This field is always present in the response to ensure clarity and transparency regarding the outcome of the API request.

## Response 404 fields (application/json):

  - `status` (string, required)

  - `message` (array, required)
    An array of human-readable messages included in the response. These messages provide detailed information about the success of the operation or explain the reasons for any failure. This field is always present in the response to ensure clarity and transparency regarding the outcome of the API request.

## Response 412 fields (application/json):

  - `status` (string, required)

  - `message` (array, required)
    An array of human-readable messages included in the response. These messages provide detailed information about the success of the operation or explain the reasons for any failure. This field is always present in the response to ensure clarity and transparency regarding the outcome of the API request.

## Response 429 fields (application/json):

  - `status` (string, required)

  - `message` (array, required)
    An array of human-readable messages included in the response. These messages provide detailed information about the success of the operation or explain the reasons for any failure. This field is always present in the response to ensure clarity and transparency regarding the outcome of the API request.

## Response 500 fields (application/json):

  - `status` (string, required)

  - `message` (array, required)
    An array of human-readable messages included in the response. These messages provide detailed information about the success of the operation or explain the reasons for any failure. This field is always present in the response to ensure clarity and transparency regarding the outcome of the API request.

